(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.StringHelper = void 0;
    var StringHelper = /** @class */ (function () {
        function StringHelper() {
        }
        StringHelper.fromCamelToHyphen = function (input) {
            return input.replace(/([a-z])([A-Z])/g, "$1-$2").toLowerCase();
        };
        StringHelper.fromCamelToUnderscore = function (input) {
            return input.replace(/([a-z])([A-Z])/g, "$1_$2").toLowerCase();
        };
        StringHelper.fromCamelToPascal = function (input) {
            return input[0].toUpperCase() + input.substr(1);
        };
        StringHelper.fromHyphenToCamel = function (input) {
            return input.replace(/-([a-z])/g, function (g) { return g[1].toUpperCase(); });
        };
        StringHelper.fromUnderscoreToCamel = function (input) {
            return input.replace(/\_([a-z])/g, function (g) { return g[1].toUpperCase(); });
        };
        StringHelper.fromPascalToCamel = function (input) {
            return input[0].toLowerCase() + input.substr(1);
        };
        return StringHelper;
    }());
    exports.StringHelper = StringHelper;
});
//# sourceMappingURL=StringHelper.js.map