(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "../core/BindableProperty", "./baseTypes", "./bindUrlParameter"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var BindableProperty_1 = require("../core/BindableProperty");
    var baseTypes_1 = require("./baseTypes");
    var bindUrlParameter_1 = require("./bindUrlParameter");
    function BindableUrlParameter(name) {
        return function (target, key, descriptor) {
            baseTypes_1.registerInit(target, function (vm) {
                bindUrlParameter_1.default(vm, key, name);
            });
            return BindableProperty_1.BindableProperty(target, key);
        };
    }
    exports.default = BindableUrlParameter;
});
//# sourceMappingURL=BindableUrlParameter.js.map